UUIDGEN(1) | General Commands Manual | UUIDGEN(1)

# NAME

`uuidgen` —
generate universally unique identifiers

# SYNOPSIS

`uuidgen` | [`-1s`] [`-n` count] [`-o` filename]

# DESCRIPTION

The `uuidgen` utility by default generates a single universally unique identifier (UUID), also known as a globally unique identifier (GUID). By default, `uuidgen` generates a single UUID and outputs it in the standard string representation to stdout. The following options can be used to change the behavior of `uuidgen`:

`-1`
  This option only has effect if multiple identifiers are to be generated and instructs `uuidgen` to not generate them in batch, but one at a time.
`-n` count
  This option controls the number of identifiers generated. By default, multiple identifiers are generated in batch.
`-o` filename
  Redirect output to filename instead of stdout.
`-s`
  Output UUIDs as initialized C structures, rather than in the standard string format.

Batched generation yields a dense set of identifiers in such a way that there is no identifier that is larger than the smallest identifier in the set and smaller than the largest identifier in the set and that is not already in the set.

When generating the identifiers one at a time, the identifiers will be close to each other, but operating system latency and processing time will be reflected in the distance between two successive identifiers.

# DIAGNOSTICS

The `uuidgen` utility exits 0 on success, and >0 if an error occurs.

# SEE ALSO

uuidgen(2), uuid(3)

# HISTORY

The `uuidgen` command first appeared in NetBSD 3.0.

September 13, 2004 | NetBSD 10.1